=== modified file 'drizzled/db.cc'
--- drizzled/db.cc	2010-08-07 17:38:08 +0000
+++ drizzled/db.cc	2010-08-31 03:00:15 +0000
@@ -351,6 +351,8 @@
 
 static int rm_table_part2(Session *session, TableList *tables)
 {
+  TransactionServices &transaction_services= TransactionServices::singleton();
+
   TableList *table;
   String wrong_tables;
   int error= 0;
@@ -461,7 +463,9 @@
     }
 
     if (error == 0 || (foreign_key_error == false))
-        write_bin_log_drop_table(session, true, db, table->table_name);
+    {
+      transaction_services.dropTable(session, string(db), string(table->table_name), true);
+    }
 
     if (error)
     {

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2010-08-19 20:36:05 +0000
+++ drizzled/sql_table.cc	2010-08-31 03:00:15 +0000
@@ -112,30 +112,6 @@
   transaction_services.rawStatement(session, query);
 }
 
-
-/* Should should be refactored to go away */
-void write_bin_log_drop_table(Session *session, bool if_exists, const char *db_name, const char *table_name)
-{
-  TransactionServices &transaction_services= TransactionServices::singleton();
-  string built_query;
-
-  if (if_exists)
-    built_query.append("DROP TABLE IF EXISTS ");
-  else
-    built_query.append("DROP TABLE ");
-
-  built_query.append("`");
-  if (session->db.empty() || strcmp(db_name, session->db.c_str()) != 0)
-  {
-    built_query.append(db_name);
-    built_query.append("`.`");
-  }
-
-  built_query.append(table_name);
-  built_query.append("`");
-  transaction_services.rawStatement(session, built_query);
-}
-
 /*
   Execute the drop of a normal or temporary table
 

